<?php  

$wp_customize->add_section(
    'steps_area',
    array(
        'title' => __('Steps Section', 'luzuk-premium' ), 
        'panel' => 'lz_fitness_premium_home_panel'
    )
);

    $wp_customize->add_setting(
        'steps_area_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'steps_area_disable',
            array(
                'settings'      => 'steps_area_disable',
                'section'       => 'steps_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'steps', 'steps_area', $color='#ffffff', get_template_directory_uri().'/images/stepsbg.png', 'color');
 


lzCustomLable($wp_customize, 'stepsPaddingSetting', 'steps_area', 'Section Top & Bottom Padding:');

$wp_customize->add_setting(
    'steps_areaTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'steps_areaTpadding',
    array(
        'settings'      => 'steps_areaTpadding',
        'section'       => 'steps_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'steps_areaBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '12em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'steps_areaBpadding',
    array(
        'settings'      => 'steps_areaBpadding',
        'section'       => 'steps_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'stepsSectionTitlendSubttl', 'steps_area', 'Section Title, Sub Title & Section Text:');


$wp_customize->add_setting(
    'steps_area_subtitle',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'HEADING HERE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'steps_area_subtitle',
    array(
        'settings'      => 'steps_area_subtitle',
        'section'       => 'steps_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'Steps_SuTitleColor', 'steps_area', 'Section Sub Title Color', '#50b2ef');
 

$wp_customize->add_setting(
    'steps_area_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Our <span>Steps</span>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'steps_area_title',
    array(
        'settings'      => 'steps_area_title',
        'section'       => 'steps_area',
        'type'          => 'text',
        'label'         => __( 'Section Title', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'Steps_TitleColor', 'steps_area', 'Section Title Color', '#212121');

addColorPalatOption($wp_customize, 'Steps_TitleBorderColor', 'steps_area', 'Section Title Border Color', '#52b1f1');


$wp_customize->add_setting(
    'steps_area_content',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula..', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'steps_area_content',
    array(
        'settings'      => 'steps_area_content',
        'section'       => 'steps_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'Steps_TextColor', 'steps_area', 'Section Text Color', '#3e3e3e');


lzCustomLable($wp_customize, 'luzuk_stepsheightlbl', 'steps_area', 'Add Small Steps Label');

$wp_customize->add_setting('steps_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'steps_npp_heading',
        array(
            'settings'      => 'steps_npp_heading',
            'section'       => 'steps_area',
            'label'         => __( 'Number Of Steps', 'Luzuk Premium' ),
        )
    )
);    
$wp_customize->add_setting('steps_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 4));
$wp_customize->add_control(
    'steps_npp_count',
    array(
        'settings'      => 'steps_npp_count',
        'section'       => 'steps_area',
        'type'          => 'select',
        'label'         => __( 'Number of steps to show', 'Luzuk Premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'steps_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'steps_header'.$i,
            array(
                'settings'      => 'steps_header'.$i,
                'section'       => 'steps_area',
                'label'         => __( 'Step', 'Luzuk Premium' ).$i
            )
        )
    );

        $wp_customize->add_setting(
        'steps_page_icon'.$i,
        array(
            'default'           => 'fa fa-truck',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'steps_page_icon'.$i,
            array(
                'settings'      => 'steps_page_icon'.$i,
                'section'       => 'steps_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk Premium' ),
            )
        )
    );
lzAddElement($wp_customize, 'steps_page_num'.$i, 'steps_area', $type = 'text', $label="Steps Number", $callback ='lz_fitness_sanitize_text', $default='01');

lzAddElement($wp_customize, 'steps_page_title'.$i, 'steps_area', $type = 'text', $label="Steps Title", $callback ='lz_fitness_sanitize_text', $default='Pick Up Clothes');


// Colors

addColorPalatOption($wp_customize, 'Steps_IconColor'.$i, 'steps_area', 'Icon Color', '#00c0e5');
addColorPalatOption($wp_customize, 'Steps_pageTitleColor'.$i, 'steps_area', 'Title Color', '#212121');
addColorPalatOption($wp_customize, 'Steps_NumberColor'.$i, 'steps_area', 'Steps Number Color', '#ffffff');
addColorPalatOption($wp_customize, 'Steps_NumberBackColor'.$i, 'steps_area', 'Steps Number Background Color', '#00c0e5');
addColorPalatOption($wp_customize, 'Steps_BoxBorderColor'.$i, 'steps_area', 'Border Color', '#00c0e5');
addColorPalatOption($wp_customize, 'Steps_BoxBackgroundColor'.$i, 'steps_area', 'Step Box Background Color', '#ffffff');
    
}

lzCustomLable($wp_customize, 'StepCommonColors', 'steps_area', 'Step Box Hover Common Colors:');

addColorPalatOption($wp_customize, 'steps_iconHoverColor', 'steps_area', 'Steps Icon Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'steps_TitleHoverColor', 'steps_area', 'Steps Title Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'steps_NumberHoverBgsColor', 'steps_area', 'Steps Number Hover Background color', '#ffffff');


lzCustomLable($wp_customize, 'StepNumHColors', 'steps_area', 'Step Number Hover Colors:');

addColorPalatOption($wp_customize, 'steps_NumberHoverColor1', 'steps_area', 'Steps Number Hover Color For Step 1', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_NumberHoverColor2', 'steps_area', 'Steps Number Hover Color For Step 2', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_NumberHoverColor3', 'steps_area', 'Steps Number Hover Color For Step 3', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_NumberHoverColor4', 'steps_area', 'Steps Number Hover Color For Step 4', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_NumberHoverColor5', 'steps_area', 'Steps Number Hover Color For Step 5', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_NumberHoverColor6', 'steps_area', 'Steps Number Hover Color For Step 6', '#00c0e5');


lzCustomLable($wp_customize, 'StepBoxHBgssColors', 'steps_area', 'Step Box Hover Background Colors:');

addColorPalatOption($wp_customize, 'steps_BoxHoverColor1', 'steps_area', 'Steps Box Hover Background Color For Step 1', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_BoxHoverColor2', 'steps_area', 'Steps Box Hover Background Color For Step 2', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_BoxHoverColor3', 'steps_area', 'Steps Box Hover Background Color For Step 3', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_BoxHoverColor4', 'steps_area', 'Steps Box Hover Background Color For Step 4', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_BoxHoverColor5', 'steps_area', 'Steps Box Hover Background Color For Step 5', '#00c0e5');
addColorPalatOption($wp_customize, 'steps_BoxHoverColor6', 'steps_area', 'Steps Box Hover Background Color For Step 6', '#00c0e5');



// lzCustomLable($wp_customize, 'luzuk_stepsheightboxheight', 'steps_area', 'Set Steps Box Resolution as per columns width:');

// $wp_customize->add_setting(
//     'teps_BoxHeight',
//     array(
//         'sanitize_callback' => 'lz_fitness_sanitize_text',
//         'default'           => __( '220px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'teps_BoxHeight',
//     array(
//         'settings'      => 'teps_BoxHeight',
//         'section'       => 'steps_area',
//         'type'          => 'text',
//         'label'         => __( 'Set Resolution:', 'luzuk-premium' )
//     )
// );